For the complete documentation index, see llms.txt. This page is also available as Markdown.

Components

Retrieving components

Retrieving components list

get

Returns many components.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Query parameters
fieldsstringOptional

Comma-separated response fields to include. Available fields: id,originGroupId,name,isComponent,steps.

folderIdstring · uuidOptional
noFolderbooleanOptional
orderingstring · enumOptionalPossible values:
pageintegerOptional

A page number within the paginated result set.

page_sizeintegerOptional

Number of results to return per page.

querystringOptional

Search in names with the following query

Responses
200Success
application/json
countintegerRequiredExample: 123
nextstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=4
previousstring · uri · nullableOptionalExample: http://api.example.org/accounts/?page=2
get/api/v2/components/
GET /api/v2/components/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "text",
      "originGroupId": "123e4567-e89b-12d3-a456-426614174000",
      "name": null,
      "isComponent": true,
      "folderId": null,
      "steps": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "type": "text",
          "name": null,
          "blockId": null,
          "groupId": null,
          "originGroupId": "text",
          "notes": null,
          "isActive": true,
          "runTimeout": null,
          "sleep": null,
          "waitingConditions": [
            {
              "type": "documentComplete",
              "expected": null,
              "isActive": true,
              "timeout": null
            }
          ],
          "value": "text"
        }
      ]
    }
  ]
}

Creating a component

post

Create a standalone component (not attached to any test).

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Body
namestring · max: 255 · nullableOptional
isActivebooleanOptional
Responses
201Success
application/json
idstringRead-onlyRequired
originGroupIdstring · uuidRead-onlyRequired
namestring · nullableRead-onlyRequired
isComponentbooleanRead-onlyRequired
folderIdstring · nullableRead-onlyRequired
post/api/v2/components/
POST /api/v2/components/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 29

"name=null&isActive=true"
{
  "id": "text",
  "originGroupId": "123e4567-e89b-12d3-a456-426614174000",
  "name": null,
  "isComponent": true,
  "folderId": null,
  "steps": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "type": "text",
      "name": null,
      "blockId": null,
      "groupId": null,
      "originGroupId": "text",
      "notes": null,
      "isActive": true,
      "runTimeout": null,
      "sleep": null,
      "waitingConditions": [
        {
          "type": "documentComplete",
          "expected": null,
          "isActive": true,
          "timeout": null
        }
      ],
      "value": "text"
    }
  ]
}

Retrieving component usage

get

Returns component usage details.

Authorizations
AuthorizationstringRequired

Token-based authentication with required prefix "Token"

Path parameters
idstring · uuidRequired

A UUID string identifying this group.

Responses
200Success
application/json
usageintegerOptional
testsIdsstring · uuid[]Optional
get/api/v2/components/{id}/usage/
GET /api/v2/components/{id}/usage/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
{
  "usage": 1,
  "testsIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ]
}

Last updated

Was this helpful?